Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Konstruktionslinien (noch einmal)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Konstruktionslinien (noch einmal) (762 mal gelesen)
ceade
Mitglied



Sehen Sie sich das Profil von ceade an!   Senden Sie eine Private Message an ceade  Schreiben Sie einen Gästebucheintrag für ceade

Beiträge: 10
Registriert: 24.01.2004

ACAD Mechanical 2008
Plotter: Oce TDS800
Pentium 4

erstellt am: 24. Jan. 2004 21:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


BMPS.zip

 
hallo!
zuerst mal:
das ist mein erster beitrag in diesem forum. als ex me10-user hab ich dieses forum schon lange beobachtet und ich muss sagen einen großen teil meiner bisher noch bescheidenen autocad kenntnisse hab ich aus diesem forum. daher erst einmal vielen dank an alle die sich hier bereit erklären um hilfe zu geben!
mit großem interesse beobachte ich schon seit einiger zeit den beitrag "Konstruktionslinien" http://ww3.cad.de/foren/ubb/Forum54/HTML/005503.shtml und habe mir darüber auch schon einige gedanken gemacht da ich dieses Werkzeug aus me10 sehr schätze.
nachdem "vision" hier seine sammlung dankenswerterweise zur verfügung gestellt hat möchte ich auch meine sammlung mit bmps als anhang hier posten. vielleicht kanns ja wer brauchen. 

konstruktionslinie waagrecht
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;ho;

konstruktionslinie senkrecht
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;v;

konstruktionslinie parallel
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;a;

konstruktionslinie 2 punkte
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline

konstruktionslinie winkel
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;w;

konstruktionslinie winkelhalbierend
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;ha;

konstruktionslinie lotrecht
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline;_per;

konstruktionslinie tangens 2 bögen
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline _tan \_tan 

konstruktionslinie punkt tangens
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_xline \_tan

konstruktionslinie zw. 2 konstruktionslinien
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_dist;\\_offset;$m=$(*,0.5,$(getvar,distance));

konstruktionslinie kreis
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_circle

konstruktionslinie kreis 2 punkte
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_circle _2p

konstruktionslinie kreis 3 punkte
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_circle _3p

konstruktionslinie kreis tangens tangens radius
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_circle _ttr

konstruktionslinie kreis tangens tangens tangens
^C^C-layer;neu;K-Linie;se;K-Linie;fa;213;;lt;continuous;;ls;0.25;;;^C^C_circle _3p _tan \_tan \_tan \

konstruktionslinie alle löschen
^C^C(setq k1 (ssget "X" '((-4 . "<OR")(0 . "XLINE")(0 . "CIRCLE")(-4 . "OR>")(8 .  "K-Linie"))));_erase;!k1;;

zum schluß würde ich aber noch eure hilfe benötigen
ich möchte gerne eine linie zeichnen mit z.b. 100mm länge die aber tatsächlich nur 50mm dargestellt wird.
wenn ich den befehl linie wähle und als länge 100/2 eingebe wird sie nur 50mm gezeichnet. ich möchte diesen befehl jedoch auf einen button legen.
kann mir dafür jemand ein makro schreiben? der wert 100 sollte jedoch variabel sein.

lg
ceade

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 24. Jan. 2004 22:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ceade 10 Unities + Antwort hilfreich

Hallo und willkommen im Forum!
Toll, das du das Prinzip "Geben und Nehmen" gleich so toll umsetzt!

.. Deine Frage verstehe ich aber leider nicht ganz ( kann aber auch an mir oder der aktuellen Zeit liegen  )
der befehl _line fragt doch nach Startpunkt und Endpunkt, aber nicht nach der Länge?!
Willst du jetzt..
1.Punkt absetzen
2.Punkt absetzen (da hätte man den Vektor!)
und dann soll der 2.Punkt zur Mitte der Linie verschoben werden ?

Oder möchstest du eine Strichellinie mit variabler Strich und Lückenlänge?

Was hast du vor?

Gruß Thomas

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ceade
Mitglied



Sehen Sie sich das Profil von ceade an!   Senden Sie eine Private Message an ceade  Schreiben Sie einen Gästebucheintrag für ceade

Beiträge: 10
Registriert: 24.01.2004

erstellt am: 25. Jan. 2004 01:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo thomas
hab mir schon gedacht das diese frage etwas eigenartig klingt.
aber eine länge nach dem ersten klick kann ich schon eingeben.
_line - 1.Punkt absetzen - 100 in die befehlszeile eingeben (z.b. im Orthomodus) und schon hab ich eine 100mm (oder Einheiten) lange waagrechte linie.
alles was ich möchte ist dass ich auch im modelbereich mit einem zweiten maßstab (1:2) einfache konstruktionen mit dem linienbefehl erstellen kann. dazu müssten aber meine längeneingaben in der befehlszeile über makro (oder lisp) halbiert werden.
papierbereich und varia kenn ich schon. möchte aber im modelbereich einen zweiten maßstab haben.
hoffe jetzt hab ich mich etwas verständlicher ausgedrückt
lg
ceade


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 25. Jan. 2004 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ceade 10 Unities + Antwort hilfreich


line05.txt

 
Hmmmm... etwas komisch finde ich deine Arbeitsweise schon. Aber als Selbstumsteiger (von Medusa) kann ich schon verstehen, wenn man bekannte Arbeitsweisen nicht einfach über Bord werfen will. ( Würd ich dir aber trotzdem empfehlen !!! Glaub mir!! Sonst kriegst du an anderer Stelle die nächsten Probleme .)

Aber egal : Im Anhang findest du eine Routine, die das macht, was du willst. Speicher sie dir als *.lsp und lade sie in ACAD ( oder in acaddoc.lsp ) . Der Aufruf erfolgt dann mit line05. Kannst es dir auch mit ^C^Cline05 auf einen Button legen. Mit (setq **FAKTOR** 0.25)
in der Befehlszeile stellst du dir den Maßstab auf 1:4 ein. Wird keiner angegeben ist er 1:2.

Hoffe, geholfen zu haben..
Gruß Thomas

------------------

[Diese Nachricht wurde von CADmium am 25. Jan. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Techniker oder Technischer Zeichner (m/w/d) als Konstrukteur (m/w/d) für die Auftragssachbearbeitung

HIRO LIFT ist ein mittelständisches Unternehmen und seit der Gründung im Jahre 1897 in vielen Bereichen der Aufzugstechnik tätig. Als Deutschlands größter Hersteller von Treppenliften mit mehr als 300 Mitarbeitern fertigen wir am Standort Bielefeld verschiedenste Aufzugsanlagen. Neben Treppenliften umfasst unsere Produktpalette Plattformaufzüge für Rollstuhlfahrer und Personenaufzüge für den Einsatz in privaten, gewerblichen und öffentlichen Gebäuden....

Anzeige ansehenTechnischer Zeichner, Bauzeichner
ceade
Mitglied



Sehen Sie sich das Profil von ceade an!   Senden Sie eine Private Message an ceade  Schreiben Sie einen Gästebucheintrag für ceade

Beiträge: 10
Registriert: 24.01.2004

erstellt am: 25. Jan. 2004 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo thomas
danke für dein lisp. klappt prima.
mir ist schon klar dass meine arbeitsweise etwas ungewöhnlich ist.
werd mal probieren wie sichs in der praxis bewährt.

lg
ceade

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz